# Webhooks

Configuração de endpoints de webhook e gerenciamento de secrets

 - [POST /webhooks/endpoints](https://docs.dinie.com/apis/openapi/webhooks/createwebhookendpoint.md): POST /webhooks/endpointsRegistra um endpoint de webhook
 - [GET /webhooks/endpoints](https://docs.dinie.com/apis/openapi/webhooks/listwebhookendpoints.md): GET /webhooks/endpointsLista endpoints de webhook
 - [GET /webhooks/endpoints/{webhook_endpoint_id}](https://docs.dinie.com/apis/openapi/webhooks/getwebhookendpoint.md): GET /webhooks/endpoints/{webhook_endpoint_id}Consulta um endpoint de webhook
 - [PATCH /webhooks/endpoints/{webhook_endpoint_id}](https://docs.dinie.com/apis/openapi/webhooks/updatewebhookendpoint.md): PATCH /webhooks/endpoints/{webhook_endpoint_id}Atualiza um endpoint de webhook
 - [DELETE /webhooks/endpoints/{webhook_endpoint_id}](https://docs.dinie.com/apis/openapi/webhooks/deletewebhookendpoint.md): DELETE /webhooks/endpoints/{webhook_endpoint_id}Exclui um endpoint de webhook
 - [POST /webhooks/endpoints/{webhook_endpoint_id}/rotate-secret](https://docs.dinie.com/apis/openapi/webhooks/rotatewebhooksecret.md): POST /webhooks/endpoints/{webhook_endpoint_id}/rotate-secretRotaciona o secret de assinatura de um webhook
 - [GET /webhooks/endpoints/{endpoint_id}/deliveries](https://docs.dinie.com/apis/openapi/webhooks/listwebhookdeliveries.md): GET /webhooks/endpoints/{endpoint_id}/deliveriesHistórico paginado de entregas de um endpoint de webhook, das mais recentes para as mais antigas
 - [POST /webhooks/endpoints/{endpoint_id}/deliveries/{id}/retry](https://docs.dinie.com/apis/openapi/webhooks/retrywebhookdelivery.md): POST /webhooks/endpoints/{endpoint_id}/deliveries/{id}/retryReinicia uma entrega que falhou e a recoloca na fila. Apenas entregas com status `failed` podem ser reenviadas
